Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class SortingEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.event.SortingEvent

All Implemented Interfaces:
  Serializable

    public class SortingEvent

extends javax.faces.event.FacesEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SortingEvent(javax.faces.component.UIComponent source, String columnId, SortOrder sortOrder)`

Method Summary
`String` | `getColumnId()`
`SortOrder` | `getSortOrder()`
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`
`void` | `setColumnId(String columnId)`
`void` | `setSortOrder(SortOrder sortOrder)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortingEvent

    public SortingEvent(javax.faces.component.UIComponent source,
                        String columnId,
                        SortOrder sortOrder)

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

### setSortOrder

    public void setSortOrder(SortOrder sortOrder)

### getSortOrder

    public SortOrder getSortOrder()

### setColumnId

    public void setColumnId(String columnId)

### getColumnId

    public String getColumnId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.